#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kde-dev-utils
Summary: K Desktop Environment - Software Development Kit
Version: 17.12.2
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: extra-cmake-modules

BuildRequires: pkgconfig(Qt5Core)

BuildRequires: cmake(Qt5Designer)

BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5WidgetsAddons)

BuildRequires: binutils-devel

Conflicts: kdesdk4-core < 1:4.10.80
Conflicts: kdesdk4-devel < 1:4.10.80

Obsoletes: kuiviewer < 1:4.10.80
Conflicts: kuiviewer < 1:4.10.80
Provides:  kuiviewer = %{epoch}:%{version}-%{release}

Obsoletes: kbugbuster < 1:4.5.76

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Software Development Kit for the K Desktop Environment.

%files -f %name.lang
%_kf5_bindir/kpartloader
%_kf5_bindir/kuiviewer
%_kf5_datadir/kxmlgui5/kpartloader
%_qt5_plugindir/kuiviewerpart.so
%_qt5_plugindir/quithumbnail.so
%_kf5_datadir/applications/org.kde.kuiviewer.desktop
%_kf5_datadir/kservices5/designerthumbnail.desktop
%_kf5_datadir/kservices5/kuiviewer_part.desktop
%_kf5_datadir/kxmlgui5/kuiviewerpart/
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kxmlgui5/kuiviewer/

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202247
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090043
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076779
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071991
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067309
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061368
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050635
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047267
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040030
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012520
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004310
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994846
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991159
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987428
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922597
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905468
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901015
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880853
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 866283
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 1:15.07.80-1.mga6
+ Revision: 859157
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800575
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787661
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 743950
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734523
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 1:4.14.0-3.mga5
+ Revision: 726588
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 680971
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667461
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662972
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656650
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653836
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651941
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636710
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625477
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615550
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609370
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606811
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603305
- New version 4.12.80

* Tue Mar 11 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 602358
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590438
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589273
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554970
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551239
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540390
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490823
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476904
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465244
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458884
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Sat Jul 20 2013 neoclust <neoclust> 1:4.10.95-4.mga4
+ Revision: 456645
- Fix kmtrace devel package name ( thanks to luc for seeing this error )

* Sat Jul 20 2013 neoclust <neoclust> 1:4.10.95-3.mga4
+ Revision: 456596
- Fix requires, do not requires kde-dev-utils-core which does not exists
- Enable kmtrace and kstartperf

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455274
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448018
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kde-dev-utils

  + lmenut <lmenut>
    - Fix conflicts

